Processing ActivitiesCreate processing activity
Processing Activities

Create processing activity

Creates a new processing activity record.

curl -X POST "https://api.neostra.io/api/v1/processing-activities" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "name": "Email Marketing",
  "purpose": "example_string",
  "legalBasis": "Consent",
  "dataSubjectCategories": [
    "example_string"
  ],
  "dataPoints": [
    "example_string"
  ]
}'
{
  "status": 200,
  "message": "Success",
  "data": {},
  "errors": [
    "example_string"
  ]
}
POST
/api/v1/processing-activities
POST
Bearer Token (JWT)
Bearer Tokenstring
Required

JWT bearer token for authentication

JWT bearer token for authentication
Content-Typestring
Required

The media type of the request body

Options: application/json
namestring

Name of the processing activity

purposestring

Purpose of processing

legalBasisstring

Legal basis for processing

dataSubjectCategoriesarray

Associated data subject category IDs

dataPointsarray

Associated data point IDs

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). JWT bearer token for authentication

Body

application/json
namestring

Name of the processing activity

purposestring

Purpose of processing

legalBasisstring

Legal basis for processing

dataSubjectCategoriesarray

Associated data subject category IDs

dataPointsarray

Associated data point IDs

Responses